@use '../../../global/styles/styles-variables' as *;
@mixin media {
	--FONT-SIZE--HEADING: var(--digi--info-card-multi--media-heading--font-size--mobile);
	--COLOR--HEADING: var(--digi--info-card-multi--color--heading);
	--PADDING: var(--digi--info-card-multi--padding--image);
	--MARGIN-TOP: var(--digi--margin--medium);
	--BACKGROUND-COLOR: var(--digi--info-card--background-color);

	@media (min-width: $digi--breakpoint--large) {
		--PADDING: var(--digi--info-card-multi--padding--image--desktop);
		--FONT-SIZE--HEADING: var(--digi--info-card-multi--media-heading--font-size--desktop);
	}
}

@mixin related {
	--FONT-SIZE--HEADING: var(--digi--info-card-multi--related-heading--font-size--mobile);
	--COLOR--HEADING: var(--digi--info-card-multi--color--heading);
	--PADDING: var(--digi--info-card-multi--padding--text);
	--MARGIN-TOP: var(--digi--margin--medium);
	--BACKGROUND-COLOR: var(--digi--info-card--background-color);
	
	@media (min-width: $digi--breakpoint--large) {
		--FONT-SIZE--HEADING: var(--digi--info-card-multi--related-heading--font-size--desktop);
		--PADDING: var(--digi--info-card-multi--padding--text--desktop);
	}
}

@mixin entry {
	--FONT-SIZE--HEADING: var(--digi--info-card-multi--entry-heading--font-size--mobile);
	--COLOR--HEADING: var(--digi--info-card-multi--color--heading);
	--PADDING: var(--digi--info-card-multi--padding--text);
	--MARGIN-TOP: var(--digi--margin--medium);
	--BACKGROUND-COLOR: var(--digi--info-card--background-color);
	
	@media (min-width: $digi--breakpoint--large) {
		--FONT-SIZE--HEADING: var(--digi--info-card-multi--entry-heading--font-size--desktop);
		--PADDING: var(--digi--info-card-multi--padding--text--desktop);
	}
}